
 {% extends 'base.html' %} {% load static i18n %} {% load crispy_forms_tags %}
{% block title %} {% trans 'Download a question' %} {% endblock title %}
{% block content %}
 <h1>Click download to begin</h1>

 <a href="#" class="btn btn-primary download">
   <i class="fa fa-save" aria-hidden="true"></i> {% trans "Download" %}
 </a>
 &nbsp
 <a href="{% url 'qa:index_noans' %}" class="btn btn-primary  cancel">
   {% trans "Cancel" %}
 </a>
 <div class="pending"></div>

{% endblock content %}
{% block modal %}
 <script>
   var task_id;
   $(".download").click(function() {
     $.ajax({
       url: '{% url "qa:create_questions_file" %}',
       type: "POST",
       dataType: "json",
       headers: {'X-CSRFToken': $('{% csrf_token %}').attr("value"), },
       success: function(data) {
         task_id = data.task_id;
         $(".cancel").hide();
         $(".pending").text("Your download will begin soon" + "...");
         check_status();
       }
     });
   });
   function check_status() {
     console.log("SUCCESSFULLY IN GET")
     $.ajax({
       url: '{% url "qa:get_status" %}',
       type: "GET",
       dataType: "json",
       data:{
         'task_id':task_id,
       },
       success: function(data) {
         if (data["task_status"] == "PENDING") {
           setTimeout(check_status, 5000);
         } else {
           $(".pending").text("Successfully Downloaded");
           $(".cancel").hide();
           $("h1").hide();
           $(".download").hide();
           $.get('{% url "qa:download_files" %}', function(data) {
             window.location.href = '{% url "qa:download_files" %}';
           });
         }
       },

     });
   }
 </script>

 <!-- /<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script> -->

{% endblock modal %}